cbRadioHelper.specialization = {};

function cbRadioHelper.prerequisitesPresent(specializations)
	return SpecializationUtil.hasSpecialization(Combine, specializations);
end

-- Register specialization events
function cbRadioHelper.registerEventListeners(vehicleType)
	--SpecializationUtil.registerEventListener(vehicleType, "onEnterVehicle", cbRadioHelper.specialization);
	SpecializationUtil.registerEventListener(vehicleType,"getCombineLoadPercentage", cbRadioHelper.specialization );
end

function cbRadioHelper.specialization:getCombineLoadPercentage(combine)
	local spec = self.spec_cbRadioHelper
	print ("COMBINE load percentage: " ..  spec.getCombineLoadPercentage );
end

function cbRadioHelper:loadMap(name) -- Note: You don't need to duplicate the loadMap listener.
	addConsoleCommand('restartMySavegame', 'Restart my savegame', 'restartMySavegame', self); -- Add a console command when the mod is loaded, you can call this command from in game console and quickly restart the savegame.
end